summaryrefslogtreecommitdiffstats
path: root/system/reptyr
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2012-12-21 13:02:41 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-21 21:27:25 +0100
commit7a18715b6d0706f1523e5fc78b5e9dc474846a9f (patch)
tree15f6df295ff373082633bc035fc09671591491dc /system/reptyr
parent2fc3de8d94aa865becdf00fe27f22687942e61c5 (diff)
downloadslackbuilds-7a18715b6d0706f1523e5fc78b5e9dc474846a9f.tar.gz
slackbuilds-7a18715b6d0706f1523e5fc78b5e9dc474846a9f.tar.xz
system/reptyr: Added (change terminal of a running process).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'system/reptyr')
-rw-r--r--system/reptyr/README6
-rw-r--r--system/reptyr/reptyr.SlackBuild67
-rw-r--r--system/reptyr/reptyr.info10
-rw-r--r--system/reptyr/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/system/reptyr/README b/system/reptyr/README
new file mode 100644
index 0000000000..9218ba986a
--- /dev/null
+++ b/system/reptyr/README
@@ -0,0 +1,6 @@
+reptyr (change controlling terminal of a running process)
+
+reptyr is a utility for taking an existing running program and attaching
+it to a new terminal. Started a long-running process over ssh, but
+have to leave and don’t want to interrupt it? Just start a screen,
+use reptyr to grab it, and then kill the ssh session and head on home.
diff --git a/system/reptyr/reptyr.SlackBuild b/system/reptyr/reptyr.SlackBuild
new file mode 100644
index 0000000000..6ae9990820
--- /dev/null
+++ b/system/reptyr/reptyr.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/bash
+
+# Slackware build script for reptyr
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://sam.zoy.org/wtfpl/ for details.
+
+PRGNAM=reptyr
+VERSION=${VERSION:-0.4_20121213}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i 's,share/man,man,g' Makefile
+make PREFIX=/usr CFLAGS="$SLKCFLAGS"
+strip $PRGNAM
+make install PREFIX=/usr DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog NOTES README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/reptyr/reptyr.info b/system/reptyr/reptyr.info
new file mode 100644
index 0000000000..2862bb5242
--- /dev/null
+++ b/system/reptyr/reptyr.info
@@ -0,0 +1,10 @@
+PRGNAM="reptyr"
+VERSION="0.4_20121213"
+HOMEPAGE="https://github.com/nelhage/reptyr"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/reptyr-0.4_20121213.tar.gz"
+MD5SUM="e665f76a0b160f6850c5d1da8cde628c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/reptyr/slack-desc b/system/reptyr/slack-desc
new file mode 100644
index 0000000000..f5a2247637
--- /dev/null
+++ b/system/reptyr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+reptyr: reptyr (change controlling terminal of a running process)
+reptyr:
+reptyr: reptyr is a utility for taking an existing running program and
+reptyr: attaching it to a new terminal. Started a long-running process over
+reptyr: ssh, but have to leave and don’t want to interrupt it? Just start
+reptyr: a screen, use reptyr to grab it, and then kill the ssh session and
+reptyr: head on home.
+reptyr:
+reptyr: homepage: https://github.com/nelhage/reptyr
+reptyr:
+reptyr: